$(function(){
	
	var menu = $('#menu'),
		pos = menu.offset();
		$(window).scroll(function(){
			if($(this).scrollTop() > pos.top+menu.height() && menu.hasClass('menulist')){
				menu.fadeOut('fast', function(){
					$(this).removeClass('menulist').addClass('menufixed').fadeIn('fast');
				});
			} else if($(this).scrollTop() <= pos.top && menu.hasClass('menufixed')){
				menu.fadeOut('fast', function(){
					$(this).removeClass('menufixed').addClass('menulist').fadeIn('fast');
				});
			}
		});

});